# Class ContentStartEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for a content_block_start event.

    public class ContentStartEventData : EventData

Inheritance
  object
  EventData
  ContentStartEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ContentStartEventData(int, Content)

Initializes a new instance of the ContentStartEventData class.

    public ContentStartEventData(int index, Content contentBlock)

#### Parameters

`index` int

  The index of the content block.

`contentBlock` Content

  The content block.

## Properties

### ContentBlock

Gets the content block.

    [JsonPropertyName("content_block")]
    public Content ContentBlock { get; init; }

#### Property Value

Content

### Index

Gets the index of the content block.

    public int Index { get; init; }

#### Property Value

int